> For the complete documentation index, see [llms.txt](https://docs.acronym.com/analytics/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.acronym.com/analytics/adobe-launch/gtag/faq/consent-management.md).

# Consent Management

Google has released several [new features](https://developers.google.com/tag-platform/security/concepts/consent-mode) that allow for more precise consent management. Acronym is working on developing a user interface that will let you make consent management adjustments without needing to code.

## Setting Default Consent States

As of [v2.0.0](https://docs.acronym.com/analytics/adobe-launch/gtag/faq/pages/-LZfZ3eAiUTETF6-RhPW#id-1.1.5) you can [add custom code](/analytics/adobe-launch/gtag/configuration.md#pre-account-initialization-code) that will run prior to your accounts' initializing. A common use case for this is to set the default consent states. Using Google's [developer documentation](https://developers.google.com/tag-platform/security/guides/consent) as a guide, you can add consent configuration, e.g.:

```javascript
gtag('consent', 'default', {
  'ad_storage': 'denied',
  'ad_user_data': 'denied',
  'ad_personalization': 'denied',
  'analytics_storage': 'denied'
});
```

## Updating Consent State

Currently, you must use custom code to update a user's consent state. Acronym is working on developing new rule actions and a user interface that will allow for consent state updates. In the meantime, using Google's [developer documentation](https://developers.google.com/tag-platform/security/guides/consent) as a guide, add a new rule action, select Core > Custom Code, then add your code.

```javascript
gtag('consent', 'update', {
  'ad_storage': 'granted'
});
```

{% hint style="info" %}
**Update gtag function name if applicable**

If you've used a custom function name, be sure to use that instead of `gtag` within the custom code.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acronym.com/analytics/adobe-launch/gtag/faq/consent-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
